Как проверить версию WooCommerce

Как проверить версию WooCommerce

| Нет комментариев | Максим

Разрабатывая дополнения для WooCommerce я столкнулся с необходимостью проверки текущей версии данного плагина. Это нужно в первую очередь для того, чтобы обеспечивать совместимость кода и избежать появления всевозможных ошибок. Предлагаю вашему вниманию следующее решение данной задачи: if (!function_exists('get_woo_version_number')) { function get_woo_version_number() { // If get_plugins() isn't available, require it if (!function_exists('get_plugins')) { require_once( ABSPATH .…

Читать полностью